package com.willalp.event.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 福利报名记录对象 hs_welfare_apply_record
 *
 * @author willalp
 * @date 2023-04-17
 */

@TableName("hs_welfare_apply_record")
public class HsWelfareApplyRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    /** Excel来源 */
    //@Excel(name = "Excel来源")
    private String source;

    /** 用户编号 */
    @Excel(name = "用户编号")
        private String userCode;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    /** 地点 */
    @Excel(name = "地点",width = 60)
    private String address;

    /** 当前状态 */
    @Excel(name = "当前状态")
    private String nowStatus;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setSource(String source)
    {
        this.source = source;
    }

    public String getSource()
    {
        return source;
    }
    public void setUserCode(String userCode)
    {
        this.userCode = userCode;
    }

    public String getUserCode()
    {
        return userCode;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setNowStatus(String nowStatus)
    {
        this.nowStatus = nowStatus;
    }

    public String getNowStatus()
    {
        return nowStatus;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("source", getSource())
            .append("userCode", getUserCode())
            .append("userName", getUserName())
            .append("address", getAddress())
            .append("nowStatus", getNowStatus())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
